

<!-- JQGRID TABLE -->
<div class="widget widget-table">
    <div class="widget-header">
        <h3><i class="fa fa-table"></i>
        Editable Table</h3>
        <em> - <a href="http://www.trirand.com/blog/" target="_blank">jqGrid</a> with editable row, navigation, add, delete, view, search and reload</em>
    </div>
    <div class="widget-content">

            <table id="jqgrid" class="table table-striped table-hover">
                <tr>
                    <td></td>
                </tr>
            </table>
            <div id="jqgrid-pager"></div>

    </div>
</div>
<!-- JQGRID TABLE -->
<script>
$(function(){
    //*******************************************
    /*  JQGRID INIT
    /********************************************/
    if( $('#jqgrid').length > 0 ) {
    var grid = $('#jqgrid');
        grid.jqGrid({
            url: '/phase/default/jsonJgrid?q=1',
            mtype: 'GET',
            datatype: 'json',
            colNames: [ ' ',
                        'Inv No',
                        'Client ID',
                        'Date',
                        'Amount',
                        'Tax',
                        'Total',
                        'Closed',
                        'Ship Via',
                        'Notes' ],
            colModel:[
                { name:'myac', width:80, fixed:true, sortable:false, resize:false, formatter:"actions",
                    formatoptions:{
                        keys: true,
                    }
                },
                { name:'invid', index:'invid', key:true, width:80, sorttype: "number", searchoptions:{sopt:['eq','ne','lt','le','gt','ge']} },
                { name:'client_id', index:'client_id', width:100, editable:true,  },
                { name:'invdate', index:'invdate', width:100, editable:true, sorttype:"date",
                    formatter:"date",
                    formatoptions:{
                        // http://www.trirand.com/jqgridwiki/doku.php?id=wiki:predefined_formatter
                        srcformat:"ISO8601Short",
                        newformat:"m/d/Y"
                    },
                    searchoptions:{
                        dataInit:function(el){
                            setTimeout(function() {
                                $(el).attr('placeholder', 'mm/dd/yyyy');
                            }, 500);
                        }
                    },
                    editoptions:{
                        dataInit:function(el){
                            $(el).datepicker({format:'mm-dd-yyyy'})
                            .on('changeDate', function(){
                                $(this).datepicker('hide'); // force close the calendar
                            });
                        }
                    }
                },
                { name:'amount', index:'amount', align:"right", width: 85, editable:true, editrules: {number:true}, searchrules:{number:true}, searchoptions:{sopt:['eq','ne','lt','le','gt','ge']} },
                { name:'tax', index:'tax', align:"right", width: 60, editrules: {number:true}, editable:true },
                { name:'total', index:'total', align:"right", width: 100, editable:true, editrules: {number:true}, searchrules:{number:true}, searchoptions:{sopt:['eq','ne','lt','le','gt','ge']} },
                { name:'closed', index:'closed', width:80, editable:true, edittype: "checkbox", editoptions:{value: "Yes:No"} },
                { name:'ship_via', index:'ship_via', width: 85, editable:true, edittype: "select", editoptions:{value: "FedEx:FedEx;TNT:TNT"} },
                { name:'note', index:'note', sortable:false, width: 200, editable:true, edittype: "textarea", editoptions:{rows: "2", cols: "20"} }
            ],
            height: 300,
            rowNum: 10,
            rowList: [10, 20, 30],
            pager: 'jqgrid-pager',
            // 預設排序
            sortname: 'invid',
            sortorder: "asc",
            viewrecords: true,
            editurl: "/phase/default/editJgrid",
            // caption: "Working Editable Table",
            multiselect: true,
            onSelectRow: function(rowid){
                $("#"+rowid+"_invdate").datepicker({dateFormat:"m/d/Y"})
                .on('changeDate', function(){
                    $(this).datepicker('hide'); // force close the calendar
                });
            }
        });

        resize_the_grid();

        if( $('#jqgrid').length > 0 ) {
            grid.jqGrid( 'navGrid', '#jqgrid-pager', { add:true, edit:true, view:true, del:true, search:true, refresh:true},
                {}, {}, {},
                { multipleSearch: true, multipleGroup: true, /* showQuery: true  (nice for debugging) */ }
            );
        }
    }

    function resize_the_grid() {
        if( $('#jqgrid').length > 0 ) {
            grid.fluidGrid({base:'#jqgrid-wrapper', offset:-20});
        }
    }
});
</script>